Update Device
Update a FHIR R4 Device resource by logical ID.
Endpoint
PUT /api/fhir/r4/Device/{rid}
Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4
Example request: PUT /api/fhir/r4/Device/00000000-0000-4000-8000-000000000002
Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Device/00000000-0000-4000-8000-000000000002
Headers
{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}
Parameters
| Parameter | In | Required | Type | Description |
|---|---|---|---|---|
rid |
path | true | uuid | Logical id of the Device resource. Use the logical id of the resource. |
Authorization
The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.
| Context | Scope form |
|---|---|
| Resource-server definition | system/Device.u |
| Client grant/token request | ddfssystem/Device.u |
Issued token's scope claim |
system/Device.u |
Example Request
{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/device","value":"documentation-example"}],"status":"active","deviceName":[{"name":"Example device","type":"user-friendly-name"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"manufacturer":"Example Manufacturer","modelNumber":"Example Model","type":{"coding":[{"system":"http://snomed.info/sct","code":"86184003","display":"Electrocardiographic monitor and recorder"}]},"patient":{"reference":"Patient/00000000-0000-4000-8000-000000000010"},"id":"00000000-0000-4000-8000-000000000002"}
Example Response
{
"resourceType": "Device",
"id": "00000000-0000-4000-8000-000000000002",
"meta": {
"versionId": "2",
"lastUpdated": "2020-01-01T00:00:00Z",
"profile": [],
"security": [],
"tag": [
{
"system": "https://example.com/fhir/tag",
"code": "documentation-example",
"display": "Documentation example"
},
{
"system": "https://example.com/fhir/tag/phase",
"code": "updated",
"display": "Updated example"
}
]
},
"identifier": [
{
"system": "https://example.com/fhir/identifier/device",
"value": "documentation-example"
}
],
"udiCarrier": [],
"status": "active",
"statusReason": [],
"manufacturer": "Example Manufacturer",
"deviceName": [
{
"name": "Example device",
"type": "user-friendly-name"
}
],
"modelNumber": "Example Model",
"type": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "86184003",
"display": "Electrocardiographic monitor and recorder"
}
]
},
"specialization": [],
"version": [],
"property": [],
"patient": {
"reference": "Patient/00000000-0000-4000-8000-000000000010"
},
"contact": [],
"note": [],
"safety": []
}
Behavior
Replaces an existing Device resource by logical id.
cURL Example
curl.exe `
-sS `
-X PUT `
https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Device/00000000-0000-4000-8000-000000000002 `
-H 'Accept: application/fhir+json' `
-H 'Authorization: Bearer [REDACTED]' `
-H 'Content-Type: application/fhir+json' `
--data '{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/device","value":"documentation-example"}],"status":"active","deviceName":[{"name":"Example device","type":"user-friendly-name"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"manufacturer":"Example Manufacturer","modelNumber":"Example Model","type":{"coding":[{"system":"http://snomed.info/sct","code":"86184003","display":"Electrocardiographic monitor and recorder"}]},"patient":{"reference":"Patient/00000000-0000-4000-8000-000000000010"},"id":"00000000-0000-4000-8000-000000000002"}'
Status Codes
| Code | Status |
|---|---|
| 200 | Updated Device representation. |
FHIR Definition
Canonical: https://hl7.org/fhir/R4/device.html